<?php

/**
 * Plugin Name: drvng Support
 * Description: Support plugin for drvng Theme.
 * Version:     1.5.0
 * Author:      template_path
 * Author URI:  
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: drvngsupport
 * Domain Path: /languages
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

use Carbon_Fields\Container;
use Carbon_Fields\Field;


/**
 * Setting up admin path
 */
define( 'KORONA_ASSETS_ADMIN_DIR', plugin_dir_url( __FILE__ ) . 'assets/admin' );
$plugin_root = plugin_dir_url( __FILE__ );

/**
 * Loading textdomain
 */
function drvngsupport_load_textdomain() {
	load_plugin_textdomain( 'drvngsupport', false, basename( dirname( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'drvngsupport_load_textdomain' );

/**
 * Requiring include files
 */
require_once plugin_dir_path( __FILE__ ) . '/includes/elementor-widgets/drvng_function.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/elementor-widgets/drvng-elementor.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/elementor-widgets/icon.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/meta-boxes/drvng-meta-boxes.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/sidebar-widgets/class-recent-posts.php';

/**
 * Custom widgets
 */
function register_sidebar_widgets() {
	register_widget( 'drvngsupport_recent_posts_Widget' );
}
add_action( 'widgets_init', 'register_sidebar_widgets' );
 /**
 * Loading Crb
 */
function drvngsupport_crb_load() {
	require_once 'vendor/autoload.php';
	\Carbon_Fields\Carbon_Fields::boot();
}
add_action( 'after_setup_theme', 'drvngsupport_crb_load' );

function drvngsupport_admin_assets() {
	wp_enqueue_style( 'drvngsupport-admin-style', plugin_dir_url(__FILE__) . 'assets/admin/css/drvngsupport-admin.css', null, );
}
add_action( 'admin_enqueue_scripts', 'drvngsupport_admin_assets' );


// Enqueue Style During Editing
add_action(
	'elementor/editor/before_enqueue_styles',
	function () {
		wp_enqueue_style('elementor-stylesheet', plugins_url() . '/drvngsupport/assets/public/elementor/stylesheets.css', true);
	}
);












