<?php
/**
 * drvng Feature Box Two
 */

use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use Elementor\Repeater;

class drvng_accordion_Widget extends \Elementor\Widget_Base {
	public function get_name() {
		return 'drvng_accordion';
	}

	public function get_title() {
		return __( 'Accordion', 'drvngsupport' );
	}

	public function get_icon() {
		return 'drvng-widget-ico';
	}

	public function get_keywords() {
		return [ 'drvng', 'accordion' ];
	}

	public function get_categories() {
		return [ 'drvng_category' ];
	}

	protected function _register_controls() {
		
        $this->start_controls_section(
			'accordion',
			[
				'label' => __( 'Accordion', 'drvngsupport' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);

        $repeater = new Repeater();

		$repeater->add_control(
            'title',
            [
                'label' => esc_html__('Title', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('', 'drvngsupport'),
            ]
        );

		$repeater->add_control(
            'description',
            [
                'label' => esc_html__('Description', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXTAREA,
                'default' => __('Description', 'drvngsupport'),
            ]
        );

        $this->add_control(
            'items',
            [
                'label' => esc_html__('Repeater List', 'drvngsupport'),
                'type' => Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
                'default' => [
                    [
                        'list_title' => esc_html__('Title #1', 'drvngsupport'),
                        'list_content' => esc_html__('Item content. Click the edit button to change this text.', 'drvngsupport'),
                    ],
                ],
            ]
        );

        $this->end_controls_section();
	}

	protected function render() {
		global $plugin_root;
		$settings = $this->get_settings_for_display();

?>
       
    
        <ul class="accordion-box">   
            <?php
                $ab_active = true;
                $i = 1;
                foreach ($settings["items"] as $item) {
                    $title = $item["title"];
                    $description = $item["description"];
                ?> 
            <!--Accordion Block-->
            <?php 
            if( ! $ab_active ){
                ?><li class="accordion block"><?php
            } else {
                ?><li class="accordion block active-block"><?php
            }
            if( ! $ab_active ){
                ?>
                <div class="acc-btn"><div class="icon-outer"><span class="far fa-angle-down"></span></div><?php echo $title; ?></div>
                <?php
            } else {
                ?>
                <div class="acc-btn active"><div class="icon-outer"><span class="far fa-angle-down"></span></div><?php echo $title; ?></div>
                <?php
            }
            if( ! $ab_active ){
                ?><div class="acc-content"><?php
            } else {
                ?><div class="acc-content current"><?php
            }
            ?>
                    <div class="content">
                        <div class="text">
                            <p><?php echo $description; ?></p>
                        </div>
                    </div>
                </div>
            </li>
            <?php 
            $ab_active = false;
            $i++;
            } 
            ?>
            <!-- End Block -->
        </ul>


        <?php

	}
}

// Register widget
Plugin::instance()->widgets_manager->register_widget_type( new \drvng_accordion_Widget() );