<?php
/**
 * drvng Feature Box Two
 */

use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use Elementor\Repeater;

class drvng_contact_form_Widget extends \Elementor\Widget_Base {
	public function get_name() {
		return 'drvng_contact_form';
	}

	public function get_title() {
		return __( 'Contact form', 'drvngsupport' );
	}

	public function get_icon() {
		return 'drvng-widget-ico';
	}

	public function get_keywords() {
		return [ 'drvng', 'contact_form' ];
	}

	public function get_categories() {
		return [ 'drvng_category' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'general',
			[
				'label' => __( 'General', 'drvngsupport' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);

        $this->add_control(
            'title',
            [
                'label' => esc_html__('Heading', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('', 'drvngsupport'),
            ]
        );

        $this->add_control(
            'sub_title',
            [
                'label' => esc_html__('Sub Heading', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('', 'drvngsupport'),
            ]
        );

        $this->add_control(
            'form_shortcode',
            [
                'label' => esc_html__('Form Shortcode', 'drvngsupport'),
                'type' => Controls_Manager::TEXTAREA,
                'rows' => 6,
                'default' => __('', 'drvngsupport'),
                'placeholder' => esc_html__('Type your description here', 'drvngsupport'),
            ]
        );

        $this->end_controls_section();
	}

	protected function render() {
		global $plugin_root;
		$settings = $this->get_settings_for_display();

        $title = $settings["title"];
        $sub_title = $settings["sub_title"];
        $form_shortcode = $settings["form_shortcode"];

?>

    <!-- Contact Form section -->
    <section class="contact-form-section">
       <div class="auto-container">        
            <div class="sec-title text-center">
                <h4><?php echo $sub_title; ?></h4>
                <h2><?php echo $title; ?></h2>
            </div>
            <div class="row">
                <div class="col-lg-8 offset-lg-2">
                    <!--Contact Form-->
                    <div class="contact-form style-two">
                        <?php echo do_shortcode($form_shortcode); ?>
                    </div>
                </div>
            </div>
       </div>
    </section>

        <?php

	}
}

// Register widget
Plugin::instance()->widgets_manager->register_widget_type( new \drvng_contact_form_Widget() );