<?php


use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use Elementor\Repeater;

class drvng_features_two_Widget extends \Elementor\Widget_Base {
	public function get_name() {
		return 'drvng_features_two';
	}

	public function get_title() {
		return __( 'Features two', 'drvngsupport' );
	}

	public function get_icon() {
		return 'drvng-widget-ico';
	}

	public function get_keywords() {
		return [ 'drvng', 'features Two' ];
	}

	public function get_categories() {
		return [ 'drvng_category' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'general',
			[
				'label' => __( 'General', 'drvngsupport' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);

        $this->add_control(
            'phone_number_title',
            [
                'label' => esc_html__('Phone Number Title', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Have Questions?', 'drvngsupport'),
            ]
        );

        $this->add_control(
            'phone_number',
            [
                'label' => esc_html__('Phone Number', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('+ 1- (246) 333-0089', 'drvngsupport'),
            ]
        );

        $this->add_control(
            'phone_number_tel',
            [
                'label' => esc_html__('Phone Number Tel', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('tel:+1(246)3330089', 'drvngsupport'),
            ]
        );

        $this->end_controls_section();
        $this->start_controls_section(
			'features',
			[
				'label' => __( 'Features', 'drvngsupport' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);

        $repeater = new Repeater();

		$repeater->add_control(
            'icon_box_title',
            [
                'label' => esc_html__('Icon Title', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Expert
                Instructors', 'drvngsupport'),
            ]
        );

        $repeater->add_control(
            'icon_box_text',
            [
                'label' => esc_html__('Icon Text', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Expert
                Instructors', 'drvngsupport'),
            ]
        );

		$repeater->add_control(
            'icon_box_icon',
            [
                'label' => esc_html__('Icon Box Icon', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::ICONS,
            ]
        );

        $this->add_control(
            'items',
            [
                'label' => esc_html__('Repeater List', 'drvngsupport'),
                'type' => Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
                'default' => [
                    [
                        'list_title' => esc_html__('Title #1', 'drvngsupport'),
                        'list_content' => esc_html__('Item content. Click the edit button to change this text.', 'drvngsupport'),
                    ],
                ],
            ]
        );

        $this->add_control(
            'items',
            [
                'label' => esc_html__('Repeater List', 'drvngsupport'),
                'type' => Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
                'default' => [
                    [
                        'list_title' => esc_html__('Title #1', 'drvngsupport'),
                        'list_content' => esc_html__('Item content. Click the edit button to change this text.', 'drvngsupport'),
                    ],
                ],
            ]
        );

        $this->end_controls_section();
	}

	protected function render() {
		global $plugin_root;
		$settings = $this->get_settings_for_display();

        $background_image = ($settings["background_image"]["id"] != "") ? wp_get_attachment_image_url($settings["background_image"]["id"], "full") : $settings["background_image"]["url"];
        $phone_number_title = $settings['phone_number_title'];
        $phone_number = $settings['phone_number'];
        $phone_number_tel = $settings['phone_number_tel'];
?>
       


    <!-- Features section -->
    <section class="features-section">
        <div class="shape" style="background-image: url(<?php echo $background_image; ?>);"></div>
        <div class="auto-container">
            <div class="row">
            <?php
                $i = 1;
                foreach ($settings["items"] as $item) {
                    $icon_box_icon = $item["icon_box_icon"];
                    $icon_box_title = $item["icon_box_title"];
                    $icon_box_text = $item["icon_box_text"];
                ?>
                <div class="col-lg-4 feature-block">
                    <div class="inner-box wow fadeInUp" data-wow-duration="1500ms">
                        <div class="iocn"><i class="<?php echo $icon_box_icon['value']; ?>"></i></div>
                        <h4><?php echo $icon_box_title; ?></h4>
                        <div class="text"><?php echo $icon_box_text; ?></div>
                    </div>
                </div>
                <?php $i++;
                } ?>
            </div>
            <div class="bottom-text"><?php echo $phone_number_title; ?><a href="<?php echo $phone_number_tel; ?>"><?php echo $phone_number; ?></a></div>
        </div>
    </section>


        <?php

	}
}

// Register widget
Plugin::instance()->widgets_manager->register_widget_type( new \drvng_features_two_Widget() );