<?php
/**
 * drvng Feature Box Two
 */

use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use Elementor\Repeater;

class drvng_funfacts_Widget extends \Elementor\Widget_Base {
	public function get_name() {
		return 'drvng_funfacts';
	}

	public function get_title() {
		return __( 'Funfacts', 'drvngsupport' );
	}

	public function get_icon() {
		return 'drvng-widget-ico';
	}

	public function get_keywords() {
		return [ 'drvng', 'funfacts' ];
	}

	public function get_categories() {
		return [ 'drvng_category' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'general',
			[
				'label' => __( 'General', 'drvngsupport' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);

        $repeater = new Repeater();


		$repeater->add_control(
            'number',
            [
                'label' => esc_html__('Number', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('8705', 'drvngsupport'),
            ]
        );

		$repeater->add_control(
            'title',
            [
                'label' => esc_html__('Title', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Licenses Issued', 'drvngsupport'),
            ]
        );

        $repeater->add_control(
            'icon',
            [
                'label' => esc_html__('Icon', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::ICONS,
            ]
        );

		$repeater->add_control(
            'speed',
            [
                'label' => esc_html__('Speed', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('3000', 'drvngsupport'),
            ]
        );

        $repeater->add_control(
            'animation',
            [
                'label' => esc_html__('Animation', 'drvngsupport'),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('fadeInUp', 'drvngsupport'),
            ]
        );

        $this->add_control(
            'items',
            [
                'label' => esc_html__('Repeater List', 'drvngsupport'),
                'type' => Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
                'default' => [
                    [
                        'list_title' => esc_html__('Title #1', 'drvngsupport'),
                        'list_content' => esc_html__('Item content. Click the edit button to change this text.', 'drvngsupport'),
                    ],
                ],
            ]
        );

        $this->end_controls_section();
	}

	protected function render() {
		global $plugin_root;
		$settings = $this->get_settings_for_display();

?>
       
    <!-- funfacts section -->
    <section class="funfacts-section">
        <div class="auto-container">
            <div class="row">
                <?php
                $i = 1;
                foreach ($settings["items"] as $item) {
                    $number = $item["number"];
                    $title = $item["title"];
                    $icon = $item["icon"];
                    $speed = $item["speed"];
                    $animation = $item["animation"];
                ?>

                        
                <div class="col-lg-3 col-md-6 funfact-block-one">
                    <div class="inner-box wow <?php echo $animation; ?>" data-wow-duration="1500ms">
                        <div class="icon"><i class="<?php echo $icon['value']; ?>"></i></div>
                        <div class="content">
                            <div class="count-outer count-box">
                                <span class="count-text" data-speed="<?php echo $speed; ?>" data-stop="<?php echo $number; ?>">0</span>
                            </div>
                            <div class="text"><?php echo $title; ?></div>
                        </div>
                    </div>
                </div>

                <?php $i++;
                } ?>
            </div>
        </div>
    </section>


        <?php

	}
}

// Register widget
Plugin::instance()->widgets_manager->register_widget_type( new \drvng_funfacts_Widget() );