<?php 
/**
 * Meta boxes
 */
use Carbon_Fields\Container;
use Carbon_Fields\Field;
/**
 * Register Metabox
 */
function drvng_meta_boxes(){
	Container::make( 'post_meta', 'Page Options' )
		->where( 'post_type', 'IN', ['post', 'page'] )
		->set_context( 'side' )
		->add_fields([
			Field::make( 'select', 'drvng_single_color_scheme', __( 'Color Scheme' ) )
				->set_default_value( 'global' )
				->set_options( [
					'global' => esc_html__( 'Global Settings', 'drvng' ),
					'color' => esc_html__( 'Color Scheme 1', 'drvng' ),
					'color-2' => esc_html__( 'Color Scheme 2', 'drvng' ),
					'color-3' => esc_html__( 'Color Scheme 3', 'drvng' ),
				]),
			Field::make( 'select', 'drvng_single_header', __( 'Header Style' ) )
				->set_default_value( 'global' )
				->set_options( [
					'global' => esc_html__( 'Global Settings', 'drvng' ),
					'header-style-one' => esc_html__( 'Header Style 1', 'drvng' ),
					'header-style-two' => esc_html__( 'Header Style 2', 'drvng' ),
				]),
            Field::make( 'select', 'drvng_single_footer', __( 'Footer Style' ) )
            ->set_default_value( 'global' )
            ->set_options( [
                'global' => esc_html__( 'Global Settings', 'drvng' ),
                'footer-style-one' => esc_html__( 'Footer Style 1', 'drvng' ),
                'footer-style-two' => esc_html__( 'Footer Menu Style 2', 'drvng' ),
            ]),
		]);

}
add_action( 'carbon_fields_register_fields', 'drvng_meta_boxes' );